%global npm_name tmp
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.0.33
Release: %mkrel 5
Summary: Temporary file and directory creator
License: MIT
Group: Development/Other
URL: https://github.com/raszi/node-tmp
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(os-tmpdir) >= 1.0.2
Requires: npm(os-tmpdir) < 1.1.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.0.33-5.mga9
+ Revision: 1820224
- Mageia 9 Mass Rebuild

* Sat Jul 04 2020 joequant <joequant> 0.0.33-4.mga8
+ Revision: 1601959
- redo deps
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.0.33-3.mga8
+ Revision: 1503257
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.33-2.mga7
+ Revision: 1281039
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.0.33-1.mga7
+ Revision: 1224719
- imported package nodejs-tmp

